Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.placer.entity
Class QueuedEntityPlacer

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.placer.AbstractPlacer
          org.optaplanner.core.impl.constructionheuristic.placer.entity.QueuedEntityPlacer

All Implemented Interfaces:
  EventListener, EntityPlacer, Placer, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class QueuedEntityPlacer

extends AbstractPlacer
implements EntityPlacer

Field Summary
`protected Iterator<Object>` | `entityIterator`
`protected EntitySelector` | `entitySelector`
`protected Object` | `nominatedEntity`
`protected Iterator<ValuePlacer>` | `valuePlacerIterator`
`protected List<ValuePlacer>` | `valuePlacerList`

Fields inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractPlacer
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`QueuedEntityPlacer(EntitySelector entitySelector, List<ValuePlacer> valuePlacerList)`

Method Summary
`ConstructionHeuristicMoveScope` | `nominateMove(ConstructionHeuristicStepScope stepScope)`
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`

Methods inherited from class org.optaplanner.core.impl.constructionheuristic.placer.AbstractPlacer
`solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### entitySelector

    protected final EntitySelector entitySelector

### valuePlacerList

    protected final List<ValuePlacer> valuePlacerList

### entityIterator

    protected Iterator<Object> entityIterator

### nominatedEntity

    protected Object nominatedEntity

### valuePlacerIterator

    protected Iterator<ValuePlacer> valuePlacerIterator

Constructor Detail

### QueuedEntityPlacer

    public QueuedEntityPlacer(EntitySelector entitySelector,
                              List<ValuePlacer> valuePlacerList)

Method Detail

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `AbstractPlacer`

### nominateMove

    public ConstructionHeuristicMoveScope nominateMove(ConstructionHeuristicStepScope stepScope)

  Specified by:
    `nominateMove` in interface `EntityPlacer`
  Parameters:
    `stepScope` - never null
  Returns:
    null if no more move can be nominated

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `AbstractPlacer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.